Control profiles

Create a control profile

Creates a control profile.

Body·
required
application/json

The control profile to create

  • name
    Type: string
    required

    Control profile name.

Responses
  • application/json
  • 401

    Unauthorized

  • application/json
  • 500

    Internal Server Error

  • 503

    Service Unavailable

Request Example for post/issuing/controls/control-profiles
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-profiles' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "Low Risk MCC Profile"
}'
{
  "id": "cpr_j4mvlui5qotufgvaeqwhvlbfna",
  "name": "Low Risk MCC Profile",
  "created_date": "2024-03-12T18:13:45.7155085Z",
  "last_modified_date": "2024-03-12T18:13:45.7155085Z",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna",
      "actions": [
        "GET"
      ],
      "types": [
        "application/json"
      ]
    }
  }
}

Get all control profiles

Retrieves a list of control profiles for the currently authenticated client, or for a specific card if a card ID is provided.

Query Parameters
  • target_id
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^crd_[a-z0-9]{26}$

    The card's unique identifier.

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Client not found

  • application/json
  • 500

    Internal Server Error

Request Example for get/issuing/controls/control-profiles
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-profiles' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "control_profiles": [
    {
      "id": "cpr_j4mvlui5qotufgvaeqwhvlbfna",
      "name": "Low Risk MCC Profile",
      "created_date": "2024-03-12T18:13:45.7155085Z",
      "last_modified_date": "2024-03-13T15:44:56.7155085Z"
    },
    {
      "id": "cpr_53mkhdc4jjlu5jcryx76bjbrgm",
      "name": "Medium Risk MCC Profile",
      "created_date": "2024-05-05T10:43:13.7155085Z",
      "last_modified_date": "2024-06-17T06:32:18.7155085Z"
    },
    {
      "id": "cpr_j4ma3rclvgcu3pn5tsdgb3e3a4",
      "name": "High Risk MCC Profile",
      "created_date": "2024-02-29T12:55:55.7155085Z",
      "last_modified_date": "2024-03-01T10:12:12.7155085Z"
    }
  ]
}

Get control profile details

Retrieves the details of an existing control profile.

Path Parameters
  • controlProfileId
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^cpr_[a-z0-9]{26}$
    required

    The control profile's unique identifier.

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Control profile not found

  • 500

    Internal Server Error

Request Example for get/issuing/controls/control-profiles/{controlProfileId}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "cpr_j4mvlui5qotufgvaeqwhvlbfna",
  "name": "Low Risk MCC Profile",
  "created_date": "2024-03-12T18:13:45.7155085Z",
  "last_modified_date": "2024-03-12T18:13:45.7155085Z",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna",
      "actions": [
        "GET"
      ],
      "types": [
        "application/json"
      ]
    }
  }
}

Update a control profile

Update the control profile

Path Parameters
  • controlProfileId
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^cpr_[a-z0-9]{26}$
    required

    The control profile's unique identifier.

Body·
required
application/json

The control profile to update.

  • name
    Type: string
    max length:  
    256

    The control profile name.

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Control profile not found

  • 500

    Internal Server Error

  • 503

    Service Unavailable

Request Example for patch/issuing/controls/control-profiles/{controlProfileId}
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna' \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "Low Risk MCC Profile"
}'
{
  "id": "cpr_j4mvlui5qotufgvaeqwhvlbfna",
  "name": "Low Risk MCC Profile",
  "created_date": "2024-03-12T18:13:45.7155085Z",
  "last_modified_date": "2024-03-12T18:13:45.7155085Z",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna",
      "actions": [
        "GET"
      ],
      "types": [
        "application/json"
      ]
    }
  }
}

Remove a control profile

Removes the control profile. A control profile cannot be removed if it is used by a control.

Path Parameters
  • controlProfileId
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^cpr_[a-z0-9]{26}$
    required

    The control profile's unique identifier.

Responses
  • 200

    Control profile deleted successfully

  • 401

    Unauthorized

  • 404

    Control profile not found

  • 500

    Internal Server Error

  • 503

    Service Unavailable

Request Example for delete/issuing/controls/control-profiles/{controlProfileId}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

Add target to control profile

Adds a target to an existing control profile.

Path Parameters
  • controlProfileId
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^cpr_[a-z0-9]{26}$
    required

    The control profile's unique identifier.

  • targetId
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^crd_[a-z0-9]{26}$
    required

    The ID of the card to apply the control profile to.

Responses
  • application/json
  • 401

    Unauthorized

  • application/json
  • 500

    Internal Server Error

Request Example for post/issuing/controls/control-profiles/{controlProfileId}/add/{targetId}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna/add/crd_fa6psq42dcdd6fdn5gifcq1491' \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna",
      "actions": [
        "GET"
      ],
      "types": [
        "application/json"
      ]
    }
  }
}

Remove target from control profile

Removes a target from an existing control profile.

Path Parameters
  • controlProfileId
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^cpr_[a-z0-9]{26}$
    required

    The control profile's unique identifier.

  • targetId
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^crd_[a-z0-9]{26}$
    required

    The ID of the card the control profile should no longer apply to.

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Control profile not found

  • 500

    Internal Server Error

Request Example for post/issuing/controls/control-profiles/{controlProfileId}/remove/{targetId}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna/remove/crd_fa6psq42dcdd6fdn5gifcq1491' \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/issuing/controls/control-profiles/cpr_j4mvlui5qotufgvaeqwhvlbfna",
      "actions": [
        "GET"
      ],
      "types": [
        "application/json"
      ]
    }
  }
}